Introduction
Continuum user manual release 4
This manual is not finished. If you find any errors, then please report them. You can get the newest version from The Blankiest Blank

Continuum is a top-down 2D space shooter game. You are the pilot of a spaceship and your task is to destroy other spaceships... and much more. Powerball(soccer), hockey, capture the flag and many other games are running in the zones. . Each zone has unique settings and a map. There are thousands of players in many zones(90 at the time of writing. However, only 30 have at least 5 players playing) and the game is very addictive.

Since version .37, Continuum supports custom graphics by the server - LVZ files. These files can change the look of a zone completely. For example, some zones are quite far from spacecraft - instead you can be a soldier or a tank driver. The physics of space cannot be changed by the server yet, which means that everything will be weightless and you will not slow down, but you can get used to this fast.

Suggested system requirements:

  • 200mhz processor
  • 32MB of RAM
  • 100MB free disk space

    • Don't let the low requirements deceive you, this is a very good game.

    Contact information:
    SOS
    sander.saares@mail.ee
    The Blankiest Blank


Glossary

GTFO - Get The Fuck Out.

IP address[IP] - Every computer on the internet needs an IP address to communicate. The IP address is like your computer's temporary telephone number, you usually get a new one each time you connect to the internet.

Lagger[Laggot, lagga] - Someone with a bad connection.

LOL - Laughing Out Loud

Packetloss - All data is sent on the internet in messages called packets. However, there is no guarantee that the packet will actually reach it's destination. Packetloss is the amout of packets that didn't reach the destination and had to be sent again.

Spawnkilling[Spawning] - Killing someone a short time after they spawn(before they have a chance to move away).

STFU - Shut The Fuck Up.

Stray - A bullet or a bomb that seemingly comes out of nowhere(Fired from far away).

Teamkill[TK] - Killing someone on your own team.

Vulching - Stealing someones kill by moving in and killing someone when they are weakened by another player's attacks.


User Interface
  • Chat window
  • In-Game
  • Main window


User Interface > Chat window
Note: You can turn off that chat window in the options

The chat window appears when you switch to another program from the game. It has the player list that you can turn off and the chat box. You can have the player list be sorted by name or team. You can select & copy text in it and write text too. You can edit your macros and change the chat box font from the menus. You can click on links in the chat to open them in your default browser. The chat box holds the last 1024 lines said.


User Interface > In-Game
  • Not ready yet!


User Interface > Main window
  • Banner editor
  • Key definitions
  • Macros
  • Main screen
  • Profiles
  • Zones
  • Trace


User Interface > Main window > Banner editor

You can edit or create banners on this screen. You can see what the banner will look in-game too and toggle a grid to help you draw the banner.


User Interface > Main window > Key definitions

On this screen, you can modify your key definitions. You can make the game require you to press the message sending key(To prevent accidental messages, and if you want to use a letter for a game button) and change a lot of the keys in the game. If some keys are conflicting, they will be shown in red. To clear a key, right click on it. To set one, left click and press the key you want to assign to it. You can create multiple key definition sets that you can assign to profiles.


User Interface > Main window > Macros

On this screen, you can modify your macro messages. Macros are messages that are automatically said when you press a defined key. You can have up to 16 text macros and 4 sound macros(Sends a sound message to someone. Inefficient and rarely used). You can have multiple macro sets that you can assign to profiles.


User Interface > Main window > Main screen

The main screen is skinnable and usually has the zone list, ship selection and buttons to exit and enter game, update zone list and preform a trace to the zone. You can use the menus to change macros and key definitions and do much more.
Hint: You can use Shift + Control to display the total number of players


User Interface > Main window > Profiles

You can add/remove/modify your profiles on this screen. Here you can change the macro set, screen resolution, key definitions, default ship and more things that are used with each profile. You can add, remove or rearrange profiles with the box on the left. Select a profile to modify it on the right. You may not use some special characters in names and they must start with a letter or a number.
Remember: The profile name is not your player name! Some people have gone crazy by changing it, thinking it is the player name!

(Other profile names blurred out)


User Interface > Main window > Trace

If you are having connection problems with a zone, then the trace screen is the screen for you. Select the zone and enter the trace screen. Now wait about 50 cycles and see the results. When you enter the screen, Continuum starts connecting to each server/router on the way to the game server and checking the ping time. The topmost entry is your computer and the lowest is the game server. The green dot shows the server that is currently being pinged. A "..." in the hostname field means that the hostname for that server is being resolved currently. A gradual ping increase is normal, but a jump is trouble. Packetloss is always trouble, but a small amount(0.x%) is normal after a few hundred cycles.

Finding the source of connection problems

  • If the ping or packetloss jumps in the first 3-6 hops(The ones that have your ISPs hostname), then your ISP is having connection problems.
  • If the ping or packetloss jumps in the last 3-6 hops, then the server's ISP is having connection problems.
  • If the ping or packetloss jumps in the last hop, then the server itself is the cause for the connction problems.
  • If the ping or packetloss jumps somewhere in between, then it is probably a faulty router on the way.


User Interface > Main window > Zones

You can add/remove/update zones on this screen. You select the zone(s) to add/remove and click the button. To download a new zone list, press the download button. The directory server list is the names of the servers where the game will try to download new zones. They are used in order of writing. If one succeeds, the next will not be tried. If you select a zone, you see it's current players, IP address, port and description on the right.


Gameplay
  • Physics & movement
  • Ships
  • Abilities
  • Items
  • Main weapons


Gameplay > Physics & movement
Note: The speed loss for bouncing off walls can be different depending on each zone's settings

Continuum's psysics are very similar to real 0-gravity physics. If you start moving in a direction, you will keep moving in that direction forever(Or until you hit something or accelerate in another direction of course) and weapons are fired relative to your speed. There are some different parts too - You bounce off walls, losing a little of your speed, and a lot of things go through eachother(Friendly ships and weapons, decoys and more). Just turning around will not change your direction of movement, just the way your ship is pointed.


Gameplay > Ships

There are 8 ships in Continuum. Each ship looks different and has different abilities. Ships are normally balanced, but some zones have a limited number of very powerful capital ships(One per team or so).

Ships and their names:
Note: The ship names and graphics can be changed by zones
- Warbird
- Javelin
- Spider
- Leviathan
- Terrier
- Weasel
- Lancaster
- Shark


Gameplay > Abilities
  • General information
  • Stealth
  • Cloak
  • X-Radar
  • Anti-warp


Gameplay > Abilities > General information
Note: The energy drain can be different in each zone

You can get abilities from prizes or your ship can start with them. There are 4 abilities in Continuum. You can turn them on and off when you want. They use energy when running.
If you do not have enough energy to keep an ability activated, the ability will deactivate.


Gameplay > Abilities > Stealth

Stealth makes your ship invisible on radar. You will still be seen normally.


Gameplay > Abilities > Cloak

Cloak makes your ship invisible to enemies. You will still show up on radar. Shooting will deactivate your cloak.


Gameplay > Abilities > X-Radar

X-Radar will allow you to see stealthed/cloaked enemies.


Gameplay > Abilities > Anti-warp

Anti-warp will disallow any enemies to warp or lay portals near your ship. The range is zone-specific.


Gameplay > Items
  • General information
  • Burst
  • Repeller
  • Decoy
  • Thor's hammer
  • Brick
  • Rocket
  • Portal


Gameplay > Items > General information
You can get items from prizes or your ship can start with them. There are 7 types of items in continuum.


Gameplay > Items > Burst
Note: The number of bullets can be different depending on each zone's settings

Burst is an item that releases many bouncing bullets in a circle around you. The bullets act like normal ones, except that they must bounce at least once to become active. If they are not active, then they will just go through ships. Inactive burst bullets are smaller, so it is easy to tell the difference between them. Every ship can have a different number of burst bullets and every ship's burst bullets can move with different speeds.


Gameplay > Items > Repeller
Note: The repel can also freeze or pull things towards you depending on each zone's settings

A repeller is an item that pushes away anything near your ship. That includes bullets, bombs, enemies and just about everything except walls and portals.


Gameplay > Items > Decoy

Using a decoy releases a temporary fake copy of your ship. It will turn opposite of where you turn and bullets will go through it. Decoys don't have nametags.

There are three ways to tell the difference between a decoy and a real ship:

  • A decoy on your team appears in a different colour on the radar
  • A decoy does not slow down when it hits a wall
  • When a real player's ship edge hits a wall, the player bounces back. But when a decoy hits a wall, it will not bounce back until it's center point hits the wall


Gameplay > Items > Thor's hammer

A Thor's hammer is a powerful bomb that can go through walls and always has a proximity trigger.


Gameplay > Items > Brick

A brick creates a temporary wall that only affects enemy teams (You team's bullets, ships, everything goes through it). If two bricks overlap, then the first one takes precedence. When you use a brick, the temporary wall is created between the two nearest normal walls. The length and duration of the temporary wall are zone-specific. Your team's bricks are yellow, enemy team's bricks are blue.(With standard graphics)


Gameplay > Items > Rocket
Note: The thrust and speed given/taken can be different depending on each zone's settings

A rocket gives you extra speed for a short time, but decreases your thrust.


Gameplay > Items > Portal

A portal allows you to warp to a known location. When you have an active portal, then warping will warp you to that portal. Portals can only be warped to once. You cannot lay a portal if you are in the area of anti-warp. When you lay a portal, you will see the remaining active time of the portal in the top-right corner of the screen. Portals can only be seen by you.

- Portal has been laid
- Warp to portal


Gameplay > Main weapons
  • General information
  • Bombs
  • Bullets


Gameplay > Main weapons > General information
Note: Some of this can be different depending on each zone's settings
Note: If there are too many weapons displayed on the screen, then more will not appear(Too many = Thousands).

Weapons need energy to be fired. If you do not have enough energy, then you cannot fire a weapon.
Fired weapons dissappear after a set amount of time. This time can be different in every zone.


Gameplay > Main weapons > Bombs
Note: Some of this can be different depending on each zone's settings

Bombs are usually the main weapon to use. They have a long range and a big explosion. You can fire then in a few second intervals.
Bombs can also be laid as stationary mines for a greater energy cost. Other than not moving, mines act exactly like bombs. When moved, mines turn into bombs.
There are 4 levels of bombs: red(1), yellow(2), blue(3) and violet(4) with red being the weakest. Violet is not avilable with standard upgrades, you can only temporarily get violet when carrying a flag or a powerball in some zones. Every bomb level does the same amount of damage, but their explosion range is doubled for yellow, tripled for blue and quadrupled for violet bomb level.
Bombs can also be upgraded with proximity triggers, so they explode when near the enemy ship, insted of exploding on impact. The bombs are "smart", because they do not explode when in proximity range until they can do the maximum amount of damage.
Some ships also have EMP bombs, which freeze your energy recharge in addition to the normal damage. Some ships can also have bouncing bombs, which means that they bounce off walls - Good for around-the-corner shooting. Bouncing and EMP bombs also look a little different. Bouncing bombs do not bounce forever, they have a set number of bounces.
In some zones, bombs also have a kickback when fired.
Bombs can also be upgraded with shrapnel. On explosion, pieces of shrapnel fly out either in random directions or after even intervals(Depending of the zone). The shrapnel acts just like a bullet, except that it does little damage a short time after it appears.
Bomb explosions will hurt your teammates.

- Normal level 1 bomb
- EMP level 1 bomb
- Bouncing level 1 bomb
- Normal level 2 bomb
- EMP level 2 bomb
- Bouncing level 2 bomb
- Normal level 3 bomb
- EMP level 3 bomb
- Bouncing level 3 bomb
- Normal level 4 bomb
- EMP level 4 bomb
- Bouncing level 4 bomb
- 3 pieces of shrapnel from the bomb


Gameplay > Main weapons > Bullets
Note: Some of this can be different depending on each zone's settings

Bullets are usually the close-range weapon to use. They are small and can be fired in short intervals.
There are 4 levels of bullets: red(1), yellow(2), blue(3) and violet(4) with red being the weakest. Violet is not avilable with standard upgrades, you can only temporarily get violet when carrying a flag or a powerball in some zones. Every bullet level upgrade does a bit more damage, but their energy cost is doubled for yellow, tripled for blue and quadrupled for violet bullet level.
Some ships are double-barreled, which means that they fire two bullets at a time(One from both wings). Bullets can also be upgraded to bouncing bullets, which will then bounce off walls. Bullets have infinite bounces.
Bullets can also be multi-fired when you get the multi-fire upgrade. You then fire 3 bullets(4 bullets if it is a double-barreled ship) at a lower cost than 3 bullets, but at higher intervals than you normally fire. Also, if one bullet hits soemthing, then the others dissappear. This is what makes multi-fire useless with default settings.
Bullets do not harm teammates.

- Normal level 3 bullet
- Multi-fire level 3 bullet
- Normal double-barreled level 3 bullet
- Multi-fire double-barreled level 3 bullet